Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.provider
Class PrincipalValidatorImpl

    java.lang.Object
      |
      +--weblogic.security.provider.PrincipalValidatorImpl

public class PrincipalValidatorImpl
extends java.lang.Object
implements PrincipalValidator

The runtime class for the WebLogic Principal Validation provider, which signs and validates `WLSPrincipal`s. You can either make this your Authentication provider's Principal Validation provider, or extend this class and then make the extended class your Principal Validation provider.

Author:
  Copyright (c) 2003 by BEA. All Rights Reserved.
See Also:
  `WLSPrincipal`

Constructor Summary
`PrincipalValidatorImpl()` Constructs an instance of the Principal Validation provider.

Method Summary
`java.lang.Class` | `getPrincipalBaseClass()` Gets the `weblogic.security.provider.WLSPrincipal` base class.
`boolean` | `sign(java.security.Principal principal)`
`boolean` | `validate(java.security.Principal principal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrincipalValidatorImpl

    public PrincipalValidatorImpl()

  Constructs an instance of the Principal Validation provider.

Method Detail

### validate

    public boolean validate(java.security.Principal principal)
                     throws java.lang.SecurityException

  Specified by:
    validate in interface PrincipalValidator

### sign

    public boolean sign(java.security.Principal principal)

  Specified by:
    sign in interface PrincipalValidator

### getPrincipalBaseClass

    public java.lang.Class getPrincipalBaseClass()

  Gets the `weblogic.security.provider.WLSPrincipal` base class.

  Specified by:
    getPrincipalBaseClass in interface PrincipalValidator

  Returns:
    `weblogic.security.provider.WLSPrincipal`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference